org.eclipse.microprofile.openapi.tck.beanvalidation

## Class BeanValidationTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.openapi.tck.AppTestBase
    - - org.eclipse.microprofile.openapi.tck.beanvalidation.BeanValidationTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class BeanValidationTest
    extends AppTestBase

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.eclipse.microprofile.openapi.tck.AppTestBase

`YAML_FILTER`

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`BeanValidationTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `assertProperty(io.restassured.response.ValidatableResponse vr, String propertyName, org.hamcrest.Matcher<?> matcher)` Asserts that a property from the test schema matches the given matcher
`static org.jboss.shrinkwrap.api.spec.WebArchive` `buildApp()`
`void` `defaultAndOtherGroupsTest(String format)`
`void` `maxDecimalExclusiveTest(String format)`
`void` `maxDecimalInclusiveTest(String format)`
`void` `maxIntTest(String format)`
`void` `minDecimalExclusiveTest(String format)`
`void` `minDecimalInclusiveTest(String format)`
`void` `minIntTest(String format)`
`void` `negativeIntTest(String format)`
`void` `negativeOrZeroIntTest(String format)`
`void` `nonDefaultGroupTest(String format)`
`void` `notBlankStringTest(String format)`
`void` `notEmptyListTest(String format)`
`void` `notEmptyMapTest(String format)`
`void` `notEmptyStringTest(String format)`
`void` `overridenBySchemaAnnotationTest(String format)`
`void` `parameterTest(String format)`
`void` `positiveIntTest(String format)`
`void` `positiveOrZeroIntTest(String format)`
`void` `sizedListTest(String format)`
`void` `sizedMapTest(String format)`
`void` `sizedStringTest(String format)`

### Methods inherited from class org.eclipse.microprofile.openapi.tck.AppTestBase

`callEndpoint, configureRestAssured, dereference, dereference, provide`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BeanValidationTest

    public BeanValidationTest()

### Method Detail

#### buildApp

    @Deployment(testable=false)
    public static org.jboss.shrinkwrap.api.spec.WebArchive buildApp()

#### notEmptyStringTest

    public void notEmptyStringTest(String format)

#### notEmptyListTest

    public void notEmptyListTest(String format)

#### notEmptyMapTest

    public void notEmptyMapTest(String format)

#### notBlankStringTest

    public void notBlankStringTest(String format)

#### sizedStringTest

    public void sizedStringTest(String format)

#### sizedListTest

    public void sizedListTest(String format)

#### sizedMapTest

    public void sizedMapTest(String format)

#### maxDecimalInclusiveTest

    public void maxDecimalInclusiveTest(String format)

#### maxDecimalExclusiveTest

    public void maxDecimalExclusiveTest(String format)

#### minDecimalInclusiveTest

    public void minDecimalInclusiveTest(String format)

#### minDecimalExclusiveTest

    public void minDecimalExclusiveTest(String format)

#### maxIntTest

    public void maxIntTest(String format)

#### minIntTest

    public void minIntTest(String format)

#### negativeIntTest

    public void negativeIntTest(String format)

#### negativeOrZeroIntTest

    public void negativeOrZeroIntTest(String format)

#### positiveIntTest

    public void positiveIntTest(String format)

#### positiveOrZeroIntTest

    public void positiveOrZeroIntTest(String format)

#### overridenBySchemaAnnotationTest

    public void overridenBySchemaAnnotationTest(String format)

#### nonDefaultGroupTest

    public void nonDefaultGroupTest(String format)

#### defaultAndOtherGroupsTest

    public void defaultAndOtherGroupsTest(String format)

#### parameterTest

    public void parameterTest(String format)

#### assertProperty

    public static void assertProperty(io.restassured.response.ValidatableResponse vr,
                                      String propertyName,
                                      org.hamcrest.Matcher<?> matcher)

Asserts that a property from the test schema matches the given matcher

Parameters:
  `vr` - the response
  `propertyName` - the property to test
  `matcher` - the matcher to assert